petsc-3.7.7 2017-09-25
Report Typos and Errors

# SNESLineSearchBTGetAlpha

Gets the descent parameter, alpha, in the BT linesearch variant.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchBTGetAlpha(SNESLineSearch linesearch, PetscReal *alpha)

### Input Parameters

linesearch -linesearch context

### Output Parameters

alpha -The descent parameter

### See Also

SNESLineSearchGetLambda(), SNESLineSearchGetTolerances() SNESLINESEARCHBT

Level:intermediate
Location:src/snes/linesearch/impls/bt/linesearchbt.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages